<?xml version="1.0" encoding="UTF-8" ?>
<testsuite tests="3" failures="0" name="org.apache.synapse.task.TaskSchedulerFactoryTest" time="0.001" errors="0" skipped="0">
  <properties>
    <property name="java.runtime.name" value="OpenJDK Runtime Environment"/>
    <property name="java.vm.version" value="11.0.4+11"/>
    <property name="sun.boot.library.path" value="/build/software/java/jdk-11.0.4+11/lib"/>
    <property name="maven.multiModuleProjectDirectory" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/target/checkout"/>
    <property name="java.vm.vendor" value="AdoptOpenJDK"/>
    <property name="java.vendor.url" value="https://adoptopenjdk.net/"/>
    <property name="path.separator" value=":"/>
    <property name="guice.disable.misplaced.annotation.check" value="true"/>
    <property name="java.vm.name" value="OpenJDK 64-Bit Server VM"/>
    <property name="sun.java.launcher" value="SUN_STANDARD"/>
    <property name="sun.os.patch.level" value="unknown"/>
    <property name="user.dir" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/target/checkout"/>
    <property name="java.vm.compressedOopsMode" value="32-bit"/>
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification"/>
    <property name="java.runtime.version" value="11.0.4+11"/>
    <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment"/>
    <property name="maven.wagon.http.pool" value="false"/>
    <property name="os.arch" value="amd64"/>
    <property name="java.util.Arrays.useLegacyMergeSort" value="true"/>
    <property name="java.io.tmpdir" value="/tmp"/>
    <property name="line.separator" value="
"/>
    <property name="java.vm.specification.vendor" value="Oracle Corporation"/>
    <property name="os.name" value="Linux"/>
    <property name="classworlds.conf" value="/build/software/maven/apache-maven-3.5.4/bin/m2.conf"/>
    <property name="sun.jnu.encoding" value="UTF-8"/>
    <property name="additionalparam" value="-Xdoclint:none"/>
    <property name="java.library.path" value="/usr/java/packages/lib:/usr/lib64:/lib64:/lib:/usr/lib"/>
    <property name="maven.conf" value="/build/software/maven/apache-maven-3.5.4/conf"/>
    <property name="jdk.debug" value="release"/>
    <property name="java.class.version" value="55.0"/>
    <property name="http.keepAlive" value="false"/>
    <property name="java.specification.name" value="Java Platform API Specification"/>
    <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers"/>
    <property name="maven.repo.local" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/.repository"/>
    <property name="os.version" value="4.14.158-129.185.amzn2.x86_64"/>
    <property name="library.jansi.path" value="/build/software/maven/apache-maven-3.5.4/lib/jansi-native"/>
    <property name="user.home" value="/root"/>
    <property name="user.timezone" value="GMT"/>
    <property name="java.awt.printerjob" value="sun.print.PSPrinterJob"/>
    <property name="file.encoding" value="UTF-8"/>
    <property name="java.specification.version" value="11"/>
    <property name="java.class.path" value="/build/software/maven/apache-maven-3.5.4/boot/plexus-classworlds-2.5.2.jar"/>
    <property name="user.name" value="root"/>
    <property name="java.vm.specification.version" value="11"/>
    <property name="sun.arch.data.model" value="64"/>
    <property name="sun.java.command" value="org.codehaus.plexus.classworlds.launcher.Launcher -B -D maven.repo.local=/home/jenkins/workspace/forked-dependencies/wso2-synapse/.repository -s /tmp/release-settings7804265669046688435.xml -D additionalparam=-Xdoclint:none -D performRelease=true -P wso2-release deploy"/>
    <property name="java.home" value="/build/software/java/jdk-11.0.4+11"/>
    <property name="user.language" value="en"/>
    <property name="java.specification.vendor" value="Oracle Corporation"/>
    <property name="awt.toolkit" value="sun.awt.X11.XToolkit"/>
    <property name="java.vm.info" value="mixed mode"/>
    <property name="org.apache.maven.global-settings" value="/build/software/maven/settings/settings.xml"/>
    <property name="java.version" value="11.0.4"/>
    <property name="securerandom.source" value="file:/dev/./urandom"/>
    <property name="java.vendor" value="AdoptOpenJDK"/>
    <property name="maven.home" value="/build/software/maven/apache-maven-3.5.4"/>
    <property name="file.separator" value="/"/>
    <property name="java.version.date" value="2019-07-16"/>
    <property name="java.vendor.url.bug" value="https://github.com/AdoptOpenJDK/openjdk-build/issues"/>
    <property name="sun.cpu.endian" value="little"/>
    <property name="sun.io.unicode.encoding" value="UnicodeLittle"/>
    <property name="java.vendor.version" value="AdoptOpenJDK"/>
    <property name="performRelease" value="true"/>
    <property name="sun.cpu.isalist" value=""/>
  </properties>
  <testcase classname="org.apache.synapse.task.TaskSchedulerFactoryTest" name="testGetTaskSchedulerForEmptyName" time="0"/>
  <testcase classname="org.apache.synapse.task.TaskSchedulerFactoryTest" name="testGetTaskScheduler" time="0.001"/>
  <testcase classname="org.apache.synapse.task.TaskSchedulerFactoryTest" name="testGetTaskSchedulerNameNull" time="0"/>
</testsuite>